import 'jest';
import 'jest-dom/extend-expect';
import 'reflect-metadata';
import * as React from 'react';
import * as ReactTestRenderer from 'react-test-renderer';
import { SlotFillProvider as Provider } from '@workbench-stack/components';
import {
  EditorContribution,
  IEditorProps,
} from '../editor-contribution';
import {   RESOURCE_EDITOR_ID,
  TEXT_DIFF_EDITOR_ID,
} from '../../constants';
import { act } from 'react-dom/test-utils';

import { Editor } from '../editor';
import { client } from './configuration';
import { ApolloProvider } from '@apollo/react-hooks';

describe('EditorSlot', () => {
  it('test', () => {
    const props: IEditorProps = {
      visibleEditorId: RESOURCE_EDITOR_ID,
    };
    const editorTest = ReactTestRenderer.create(
      // tslint:disable-next-line:jsx-wrap-multiline
      <ApolloProvider client={client}>
        <Provider>
          <div>
            <Editor
              value="hello"
              uri={
                'file:///Users/macmini/Desktop/work/workbench-stack/src/config/env-config.json'
              }
              language="json"
              {...props}
            />
            <EditorContribution />
          </div>
        </Provider>
      </ApolloProvider>,
    ).toJSON();

    expect(editorTest).toMatchSnapshot();
  });
});
