import { PubSub } from 'graphql-subscriptions';
import * as Logger from 'bunyan';
import { IServerContext, IResolvers, IConfigurationData } from '@workbench-stack/core';


export const notificationResolver: (pubsub: PubSub, logger?: Logger) => IResolvers = (pubsub, logger) => ({
    Query: {

        showNotification: (_, args, context) => {
            console.log('ShowNotification', args);
            return null;
        },

    },
    Mutation: {
        notifyInfo: (_, args, context) => {
            console.log('notifyInfo', args);
            return null;
        },
        notifyWarn: (_, args, context) => {
            console.log('notifyWarn', args);
            return null;
        },
        notifyError: (_, args, context) => {
            console.log('notifyError', args);
            return null;
        },
        notifyPrompt: (_, args, context) => {
            console.log('notifyPrompt', args);
            return null;
        },

    },
});
