/* tslint:disable */
import { URI } from '@vscode/monaco-editor/esm/vs/base/common/uri';

import * as SchemaTypes from '@workbench-stack/core';

import { DocumentNode } from 'graphql';
import * as ApolloReactCommon from '@apollo/react-common';
import * as ApolloReactHooks from '@apollo/react-hooks';
































export const TerminalConfigurationFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"TerminalConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Terminal"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"integrated"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"setLocaleVariables"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"shell"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"osx"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"linux"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"windows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"container"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"shellArgs"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"container"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"windows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"osx"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"linux"},"arguments":[],"directives":[]}]}}]}}]}}]};
export const SearchConfigurationFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"SearchConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Search"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"location"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"smartCase"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useRipgrep"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useIgnoreFiles"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"followSymlinks"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"globalFindClipboard"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"quickOpen"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"includeSymbols"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"exclude"},"arguments":[],"directives":[]}]}}]};
export const LanguagesConfigurationFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"LanguagesConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Languages"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"go"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"css"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"html"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"json"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"yaml"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"typescript"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"javascript"},"arguments":[],"directives":[]}]}}]};
export const FilesConfigurationFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"FilesConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Files"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"eol"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hotExit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"encoding"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoSave"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoSaveDelay"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultLanguage"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoGuessEncoding"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"insertFinalNewline"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"trimTrailingWhitespace"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useExperimentalFileWatcher"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"watcherExclude"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"exclude"},"arguments":[],"directives":[]}]}}]};
export const GitConfigurationFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"GitConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Git"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"path"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autofetch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"countBadge"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autorefresh"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"confirmSync"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"checkoutType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inputValidation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"detectSubmodules"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableSmartCommit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreLimitWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreLegacyWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableCommitSigning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultCloneDirectory"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoRepositoryDetection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreMissingGitWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showInlineOpenFileAction"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"promptToSaveFilesBeforeCommit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"decorations"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]}]}}]}}]};
export const WorkspaceConfigurationFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"WorkspaceConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"WorkspacePreferenceWorkbench"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"colorTheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableExperiments"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fontAliasing"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"iconTheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"startupEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"view"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"alwaysShowHeaderActions"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"tips"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"horizontalScrolling"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"indent"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"renderIndentGuides"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"statusBar"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"visible"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableNaturalLanguageSearch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openDefaultKeybindings"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsSearchTocBehavior"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useSplitJSON"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"quickOpen"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"closeOnFocusLost"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preserveInput"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"panel"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"defaultLocation"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"list"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"automaticKeyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"horizontalScrolling"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"keyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"multiSelectModifier"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openMode"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"experimental"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editorAssociations"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"centeredLayoutAutoResize"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"closeEmptyGroups"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"closeOnFileDelete"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enablePreview"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enablePreviewFromQuickOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"focusRecentEditorAfterClose"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"highlightModifiedTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"labelFormat"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openPositioning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openSideBySideDirection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"restoreViewState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"revealIfOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showIcons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"splitSizing"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tabCloseButton"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tabSizing"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"commandPalette"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"history"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preserveInput"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"activityBar"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"visible"},"arguments":[],"directives":[]}]}}]}}]};
export const ViewerSettingsFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ViewerSettings"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"SettingsCascade"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"final"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"subjects"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"UserSettings"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsURL"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"latestSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contents"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"createdAt"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settingsCascade"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"finalConfiguration"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"terminal"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TerminalConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"search"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"SearchConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"languages"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LanguagesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"maxChannelHistory"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"files"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FilesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"git"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"GitConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"workspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"WorkspaceConfiguration"},"directives":[]}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FolderSettings"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsURL"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"latestSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contents"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"createdAt"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settingsCascade"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"finalConfiguration"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"terminal"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TerminalConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"search"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"SearchConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"languages"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LanguagesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"maxChannelHistory"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"files"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FilesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"git"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"GitConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"workspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"WorkspaceConfiguration"},"directives":[]}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"GlobalSettings"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsURL"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"latestSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contents"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"createdAt"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settingsCascade"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"finalConfiguration"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"terminal"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TerminalConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"search"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"SearchConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"languages"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LanguagesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"maxChannelHistory"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"files"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FilesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"git"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"GitConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"workspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"WorkspaceConfiguration"},"directives":[]}]}}]}}]}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"TerminalConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Terminal"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"integrated"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"setLocaleVariables"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"shell"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"osx"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"linux"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"windows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"container"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"shellArgs"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"container"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"windows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"osx"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"linux"},"arguments":[],"directives":[]}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"SearchConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Search"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"location"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"smartCase"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useRipgrep"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useIgnoreFiles"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"followSymlinks"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"globalFindClipboard"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"quickOpen"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"includeSymbols"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"exclude"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"LanguagesConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Languages"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"go"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"css"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"html"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"json"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"yaml"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"typescript"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"javascript"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"FilesConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Files"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"eol"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hotExit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"encoding"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoSave"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoSaveDelay"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultLanguage"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoGuessEncoding"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"insertFinalNewline"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"trimTrailingWhitespace"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useExperimentalFileWatcher"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"watcherExclude"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"exclude"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"GitConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Git"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"path"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autofetch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"countBadge"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autorefresh"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"confirmSync"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"checkoutType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inputValidation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"detectSubmodules"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableSmartCommit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreLimitWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreLegacyWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableCommitSigning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultCloneDirectory"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoRepositoryDetection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreMissingGitWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showInlineOpenFileAction"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"promptToSaveFilesBeforeCommit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"decorations"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"WorkspaceConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"WorkspacePreferenceWorkbench"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"colorTheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableExperiments"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fontAliasing"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"iconTheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"startupEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"view"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"alwaysShowHeaderActions"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"tips"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"horizontalScrolling"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"indent"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"renderIndentGuides"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"statusBar"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"visible"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableNaturalLanguageSearch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openDefaultKeybindings"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsSearchTocBehavior"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useSplitJSON"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"quickOpen"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"closeOnFocusLost"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preserveInput"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"panel"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"defaultLocation"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"list"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"automaticKeyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"horizontalScrolling"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"keyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"multiSelectModifier"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openMode"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"experimental"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editorAssociations"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"centeredLayoutAutoResize"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"closeEmptyGroups"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"closeOnFileDelete"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enablePreview"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enablePreviewFromQuickOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"focusRecentEditorAfterClose"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"highlightModifiedTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"labelFormat"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openPositioning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openSideBySideDirection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"restoreViewState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"revealIfOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showIcons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"splitSizing"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tabCloseButton"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tabSizing"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"commandPalette"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"history"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preserveInput"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"activityBar"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"visible"},"arguments":[],"directives":[]}]}}]}}]};
export const AllContextFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"AllContext"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Context"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"originalResourceScheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"view"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"viewItem"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"gitOpenRepositoryCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isInDiffEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isInDiffRightEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceScheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceFilename"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceLangId"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resource"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceExtName"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceSet"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isFileSystemResource"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inputFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"suggestWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"suggestWidgetMultipleSuggestions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"suggestionMakesTextEdit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"acceptSuggestionOnEnter"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasOtherSuggestions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"groupFocusedInOpenEditors"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"dirtyEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceSelectedForCompare"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fileCopied"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breadcrumbsPossible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breadcrumbsVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breadcrumbsActive"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canNavigateBack"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canNavigateForward"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canNavigateToLastEditLocation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"dirtyDiffVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"cancellableOperation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"parameterHintsVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"parameterHintsMultipleSignatures"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"markdownPreviewFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isMac"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isLinux"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isWindows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"remoteAuthority"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"remoteConnectionState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasMacNativeTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"supportsWorkspaces"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isDevelopment"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"workbenchState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"workspaceFolderCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"remoteFileDialogVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isFullscreen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"atEndOfWord"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"scmRepository"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"scmProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"scmResourceGroup"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inDiffEditorKey"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isDominatedByLongLines"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isWordWrapMinified"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"commentThread"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"commentThreadisEmpty"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"commentIsEmpty"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"commentEditorFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"interfaceOverviewVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inReferenceSearchEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"referenceSearchVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listSupportsMultiSelect"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listHasSelectionOrFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listDoubleSelection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listMultiSelection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listSupportsKeyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"WorkbenchListAutomaticKeyboardNavigationKey"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"accessibilityHelpWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inQuickOpenKey"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"supportedCodeAction"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasSymbols"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasSnippetCompletions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"messageVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasCallHierarchyProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"callHierarchyVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchViewletVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchViewletFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchInputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"replaceInputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"patternIncludesInputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"patternExcludesInputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"replaceActive"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasSearchResult"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"firstMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fileMatchOrMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fileMatchOrFolderMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fileMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"folderMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"matchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inRecentFilesPicker"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inWindowsPicker"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"findWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"findInputFocussed"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"replaceInputFocussed"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorTextFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"textInputFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorReadonly"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasSelection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasMultipleSelections"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorTabMoveFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isInEmbeddedEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canUndo"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canRedo"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorLangId"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasCompletionItemProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasCodeActionsProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDefinitionProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDeclarationProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasImplementationProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasTypeDefinitionProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasHoverProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHadDocumentHighlightProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDocumentSymbolProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasReferenceProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasRenameProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasSignatureHelpProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDocumentFormattingProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDocumentSelectionFormattingProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasMultipleDocumentSelectionFormattingProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activeEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorIsOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorPinned"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"groupActiveEditorDirty"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"groupEditorsCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"textCompareEditorVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"textCompareEditorActive"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activeEditorGroupEmpty"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"multipleEditorGroups"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inZenMode"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inCenteredLayout"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"splitEditorsVertically"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"sideBarVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"sideBarFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activeViewlet"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activePanel"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"panelFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"panelPosition"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"debugType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"debugConfigurationType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"debugState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inDebugMode"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inDebugRepl"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breakpointWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"watchExpressionsFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"variablesFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"expressionSelected"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breakpointSelected"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"callStackItemType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"loadedScriptsSupported"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"loadedScriptsItemType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"focusedSessionIsAttach"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"stepBackSupported"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"restartFrameSupported"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inSettingsEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inSettingsJSONEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inSettingsSearch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsTocRowFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inKeybindings"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inKeybindingsSearch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"keybindingFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerViewletVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceIsFolder"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceReadonly"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceIsRoot"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceCut"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceMoveableToTrash"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"filesExplorerFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openEditorsVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openEditorsFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerViewletFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalIsOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalTextSelected"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalFindWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalFindWidgetInputFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalFindWidgetFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"webviewFindWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"taskRunning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"referenceSearchTreeFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"interactivePlaygroundFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"outlineFiltered"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"outlineFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"problemsViewFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"problemFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"problemsFilterFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"relatedInformationFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inOutput"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activeLogOutput"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"multiCursorModifier"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"saveConflictResolutionContext"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"markersNavigationVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasWordHighlights"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"profileSessionState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"extensionHostProfileRecorded"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"historyNavigationEnabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"historyNavigationWidget"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"nonEmptyWorkspace"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultExtensionViews"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchMarketplaceExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchInstalledExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchOutdatedExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchEnabledExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchDisabledExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasInstalledExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchBuiltInExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"recommendedExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultRecommendedExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"workspaceRecommendations"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"workspaceFolderRecommendations"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"addToWorkspaceRecommendations"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"addToWorkspaceFolderRecommendations"},"arguments":[],"directives":[]}]}}]};
export const FinalConfigurationFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"FinalConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Configuration"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"terminal"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TerminalConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"search"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"SearchConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"languages"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LanguagesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"maxChannelHistory"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"files"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FilesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"git"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"GitConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"workspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"WorkspaceConfiguration"},"directives":[]}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"TerminalConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Terminal"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"integrated"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"setLocaleVariables"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"shell"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"osx"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"linux"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"windows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"container"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"shellArgs"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"container"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"windows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"osx"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"linux"},"arguments":[],"directives":[]}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"SearchConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Search"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"location"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"smartCase"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useRipgrep"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useIgnoreFiles"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"followSymlinks"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"globalFindClipboard"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"quickOpen"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"includeSymbols"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"exclude"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"LanguagesConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Languages"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"go"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"css"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"html"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"json"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"yaml"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"typescript"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"javascript"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"FilesConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Files"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"eol"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hotExit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"encoding"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoSave"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoSaveDelay"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultLanguage"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoGuessEncoding"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"insertFinalNewline"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"trimTrailingWhitespace"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useExperimentalFileWatcher"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"watcherExclude"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"exclude"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"GitConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Git"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"path"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autofetch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"countBadge"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autorefresh"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"confirmSync"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"checkoutType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inputValidation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"detectSubmodules"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableSmartCommit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreLimitWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreLegacyWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableCommitSigning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultCloneDirectory"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoRepositoryDetection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreMissingGitWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showInlineOpenFileAction"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"promptToSaveFilesBeforeCommit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"decorations"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"WorkspaceConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"WorkspacePreferenceWorkbench"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"colorTheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableExperiments"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fontAliasing"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"iconTheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"startupEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"view"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"alwaysShowHeaderActions"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"tips"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"horizontalScrolling"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"indent"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"renderIndentGuides"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"statusBar"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"visible"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableNaturalLanguageSearch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openDefaultKeybindings"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsSearchTocBehavior"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useSplitJSON"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"quickOpen"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"closeOnFocusLost"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preserveInput"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"panel"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"defaultLocation"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"list"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"automaticKeyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"horizontalScrolling"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"keyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"multiSelectModifier"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openMode"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"experimental"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editorAssociations"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"centeredLayoutAutoResize"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"closeEmptyGroups"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"closeOnFileDelete"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enablePreview"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enablePreviewFromQuickOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"focusRecentEditorAfterClose"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"highlightModifiedTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"labelFormat"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openPositioning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openSideBySideDirection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"restoreViewState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"revealIfOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showIcons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"splitSizing"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tabCloseButton"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tabSizing"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"commandPalette"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"history"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preserveInput"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"activityBar"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"visible"},"arguments":[],"directives":[]}]}}]}}]};
export const ResourceContextFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ResourceContext"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Context"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"resourceScheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceFilename"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resource"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceExtName"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceSet"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isFileSystemResource"},"arguments":[],"directives":[]}]}}]};
export const installDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"install"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"vsix"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"install"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"vsix"},"value":{"kind":"Variable","name":{"kind":"Name","value":"vsix"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"uuid"},"arguments":[],"directives":[]}]}}]}}]};

/**
 * __useinstallMutation__
 *
 * To run a mutation, you first call `useinstallMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useinstallMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [installMutation, { data, loading, error }] = useinstallMutation({
 *   variables: {
 *      vsix: // value for 'vsix'
 *   },
 * });
 */
export function useinstallMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>(installDocument, baseOptions);
      }
export type installMutationHookResult = ReturnType<typeof useinstallMutation>;
export type installMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IinstallMutation>;
export type installMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>;
export const providerDefinitionDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"providerDefinition"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"params"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"TextDocumentPositionParamsInput"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"hoverProviderDefinition"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"params"},"value":{"kind":"Variable","name":{"kind":"Name","value":"params"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};

/**
 * __useproviderDefinitionMutation__
 *
 * To run a mutation, you first call `useproviderDefinitionMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useproviderDefinitionMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [providerDefinitionMutation, { data, loading, error }] = useproviderDefinitionMutation({
 *   variables: {
 *      params: // value for 'params'
 *   },
 * });
 */
export function useproviderDefinitionMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>(providerDefinitionDocument, baseOptions);
      }
export type providerDefinitionMutationHookResult = ReturnType<typeof useproviderDefinitionMutation>;
export type providerDefinitionMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IproviderDefinitionMutation>;
export type providerDefinitionMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>;
export const removeDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"remove"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"id"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"removeExtension"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"id"},"value":{"kind":"Variable","name":{"kind":"Name","value":"id"}}}],"directives":[]}]}}]};

/**
 * __useremoveMutation__
 *
 * To run a mutation, you first call `useremoveMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useremoveMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [removeMutation, { data, loading, error }] = useremoveMutation({
 *   variables: {
 *      id: // value for 'id'
 *   },
 * });
 */
export function useremoveMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>(removeDocument, baseOptions);
      }
export type removeMutationHookResult = ReturnType<typeof useremoveMutation>;
export type removeMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IremoveMutation>;
export type removeMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>;
export const ExtensionsByLimitDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"ExtensionsByLimit"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"first"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"Int"}}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"prioritizeExtensionIDs"}},"type":{"kind":"NonNullType","type":{"kind":"ListType","type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}}}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"extensionRegistry"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"extensions"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"first"},"value":{"kind":"Variable","name":{"kind":"Name","value":"first"}}},{"kind":"Argument","name":{"kind":"Name","value":"prioritizeExtensionIDs"},"value":{"kind":"Variable","name":{"kind":"Name","value":"prioritizeExtensionIDs"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"nodes"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"url"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"extensionID"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"viewerCanAdminister"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"manifest"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"raw"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activationEvents"},"arguments":[],"directives":[]}]}}]}}]}}]}}]}}]};

/**
 * __useExtensionsByLimitQuery__
 *
 * To run a query within a React component, call `useExtensionsByLimitQuery` and pass it any options that fit your needs.
 * When your component renders, `useExtensionsByLimitQuery` returns an object from Apollo Client that contains loading, error, and data properties 
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useExtensionsByLimitQuery({
 *   variables: {
 *      first: // value for 'first'
 *      prioritizeExtensionIDs: // value for 'prioritizeExtensionIDs'
 *   },
 * });
 */
export function useExtensionsByLimitQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>(ExtensionsByLimitDocument, baseOptions);
      }
export function useExtensionsByLimitLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>(ExtensionsByLimitDocument, baseOptions);
        }
export type ExtensionsByLimitQueryHookResult = ReturnType<typeof useExtensionsByLimitQuery>;
export type ExtensionsByLimitLazyQueryHookResult = ReturnType<typeof useExtensionsByLimitLazyQuery>;
export type ExtensionsByLimitQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>;
export const ExtensionsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"Extensions"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"extensions"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"nodes"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"url"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activationEvents"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"viewerCanAdminister"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"releases"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"version"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"bundleURL"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"extensionID"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"extensionID"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"manifest"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"bundleURL"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"raw"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"main"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"badges"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preview"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"version"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"keywords"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"license"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"homepage"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"publisher"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"categories"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"extensionID"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"displayName"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"dependencies"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"extensionDependencies"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"bundle"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"assets"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"Type"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"Content"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"scripts"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"cdebasebuild"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"cdebasepublish"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"bundles"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"server"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"browser"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"extension"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"type"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"engines"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"node"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"vscode"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"author"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"galleryBanner"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"theme"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"activationEvents"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"contributes"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"menus"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"commandPalette"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"action"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"when"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"explorer"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"context"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"action"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"when"},"arguments":[],"directives":[]}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"context"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"action"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"when"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"title"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"own"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"action"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"when"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"context"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"action"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"when"},"arguments":[],"directives":[]}]}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"actions"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"command"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"title"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"category"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"actionItem"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"label"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]}]}}]}}]}}]}}]}}]}}]}}]};

/**
 * __useExtensionsQuery__
 *
 * To run a query within a React component, call `useExtensionsQuery` and pass it any options that fit your needs.
 * When your component renders, `useExtensionsQuery` returns an object from Apollo Client that contains loading, error, and data properties 
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useExtensionsQuery({
 *   variables: {
 *   },
 * });
 */
export function useExtensionsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>(ExtensionsDocument, baseOptions);
      }
export function useExtensionsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>(ExtensionsDocument, baseOptions);
        }
export type ExtensionsQueryHookResult = ReturnType<typeof useExtensionsQuery>;
export type ExtensionsLazyQueryHookResult = ReturnType<typeof useExtensionsLazyQuery>;
export type ExtensionsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>;
export const galleryExtensionDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"galleryExtension"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"extensionID"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"galleryExtension"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"extensionID"},"value":{"kind":"Variable","name":{"kind":"Name","value":"extensionID"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"icon"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"version"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"publisher"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"installCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"publisherDisplayName"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"rating"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ratingCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"displayName"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"assets"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"download"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"uri"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fallbackUri"},"arguments":[],"directives":[]}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"resources"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"icon"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"readme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"manifest"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"changelog"},"arguments":[],"directives":[]}]}}]}}]}}]};

/**
 * __usegalleryExtensionQuery__
 *
 * To run a query within a React component, call `usegalleryExtensionQuery` and pass it any options that fit your needs.
 * When your component renders, `usegalleryExtensionQuery` returns an object from Apollo Client that contains loading, error, and data properties 
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usegalleryExtensionQuery({
 *   variables: {
 *      extensionID: // value for 'extensionID'
 *   },
 * });
 */
export function usegalleryExtensionQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>(galleryExtensionDocument, baseOptions);
      }
export function usegalleryExtensionLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>(galleryExtensionDocument, baseOptions);
        }
export type galleryExtensionQueryHookResult = ReturnType<typeof usegalleryExtensionQuery>;
export type galleryExtensionLazyQueryHookResult = ReturnType<typeof usegalleryExtensionLazyQuery>;
export type galleryExtensionQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>;
export const galleryDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"gallery"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"query"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"GalleryQuery"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"gallery"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"query"},"value":{"kind":"Variable","name":{"kind":"Name","value":"query"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"page"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"firstPage"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"icon"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"version"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"publisher"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"installCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"publisherDisplayName"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"rating"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ratingCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"displayName"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"assets"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"download"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"uri"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fallbackUri"},"arguments":[],"directives":[]}]}}]}}]}}]}}]}}]};

/**
 * __usegalleryQuery__
 *
 * To run a query within a React component, call `usegalleryQuery` and pass it any options that fit your needs.
 * When your component renders, `usegalleryQuery` returns an object from Apollo Client that contains loading, error, and data properties 
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usegalleryQuery({
 *   variables: {
 *      query: // value for 'query'
 *   },
 * });
 */
export function usegalleryQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>(galleryDocument, baseOptions);
      }
export function usegalleryLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>(galleryDocument, baseOptions);
        }
export type galleryQueryHookResult = ReturnType<typeof usegalleryQuery>;
export type galleryLazyQueryHookResult = ReturnType<typeof usegalleryLazyQuery>;
export type galleryQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>;
export const installedExtensionsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"installedExtensions"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"installed"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"identifier"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"uuid"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"galleryIdentifier"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"uuid"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"extension"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"icon"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"displayName"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"installCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"version"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"identifier"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"uuid"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"publisherDisplayName"},"arguments":[],"directives":[]}]}}]}}]}}]};

/**
 * __useinstalledExtensionsQuery__
 *
 * To run a query within a React component, call `useinstalledExtensionsQuery` and pass it any options that fit your needs.
 * When your component renders, `useinstalledExtensionsQuery` returns an object from Apollo Client that contains loading, error, and data properties 
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useinstalledExtensionsQuery({
 *   variables: {
 *   },
 * });
 */
export function useinstalledExtensionsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>(installedExtensionsDocument, baseOptions);
      }
export function useinstalledExtensionsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>(installedExtensionsDocument, baseOptions);
        }
export type installedExtensionsQueryHookResult = ReturnType<typeof useinstalledExtensionsQuery>;
export type installedExtensionsLazyQueryHookResult = ReturnType<typeof useinstalledExtensionsLazyQuery>;
export type installedExtensionsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>;
export const ViewerSettingsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"ViewerSettings"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"viewerSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"final"},"arguments":[],"directives":[]}]}}]}}]};

/**
 * __useViewerSettingsQuery__
 *
 * To run a query within a React component, call `useViewerSettingsQuery` and pass it any options that fit your needs.
 * When your component renders, `useViewerSettingsQuery` returns an object from Apollo Client that contains loading, error, and data properties 
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useViewerSettingsQuery({
 *   variables: {
 *   },
 * });
 */
export function useViewerSettingsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>(ViewerSettingsDocument, baseOptions);
      }
export function useViewerSettingsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>(ViewerSettingsDocument, baseOptions);
        }
export type ViewerSettingsQueryHookResult = ReturnType<typeof useViewerSettingsQuery>;
export type ViewerSettingsLazyQueryHookResult = ReturnType<typeof useViewerSettingsLazyQuery>;
export type ViewerSettingsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>;
export const OpenPreferenceEditorDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"OpenPreferenceEditor"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"editor"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"ResourceSideBySide_Input"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"openPreferenceEditorSplit"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"editor"},"value":{"kind":"Variable","name":{"kind":"Name","value":"editor"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};

/**
 * __useOpenPreferenceEditorMutation__
 *
 * To run a mutation, you first call `useOpenPreferenceEditorMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useOpenPreferenceEditorMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [openPreferenceEditorMutation, { data, loading, error }] = useOpenPreferenceEditorMutation({
 *   variables: {
 *      editor: // value for 'editor'
 *   },
 * });
 */
export function useOpenPreferenceEditorMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IOpenPreferenceEditorMutation, SchemaTypes.IOpenPreferenceEditorMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IOpenPreferenceEditorMutation, SchemaTypes.IOpenPreferenceEditorMutationVariables>(OpenPreferenceEditorDocument, baseOptions);
      }
export type OpenPreferenceEditorMutationHookResult = ReturnType<typeof useOpenPreferenceEditorMutation>;
export type OpenPreferenceEditorMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOpenPreferenceEditorMutation>;
export type OpenPreferenceEditorMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOpenPreferenceEditorMutation, SchemaTypes.IOpenPreferenceEditorMutationVariables>;
export const saveUserSettingsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"saveUserSettings"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"content"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"saveUserSettings"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"content"},"value":{"kind":"Variable","name":{"kind":"Name","value":"content"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]}]}}]}}]};

/**
 * __usesaveUserSettingsMutation__
 *
 * To run a mutation, you first call `usesaveUserSettingsMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `usesaveUserSettingsMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [saveUserSettingsMutation, { data, loading, error }] = usesaveUserSettingsMutation({
 *   variables: {
 *      content: // value for 'content'
 *   },
 * });
 */
export function usesaveUserSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>(saveUserSettingsDocument, baseOptions);
      }
export type saveUserSettingsMutationHookResult = ReturnType<typeof usesaveUserSettingsMutation>;
export type saveUserSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IsaveUserSettingsMutation>;
export type saveUserSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>;
export const saveWorkspaceSettingsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"saveWorkspaceSettings"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"saveWorkspaceSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"updated"},"arguments":[],"directives":[]}]}}]}}]};

/**
 * __usesaveWorkspaceSettingsMutation__
 *
 * To run a mutation, you first call `usesaveWorkspaceSettingsMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `usesaveWorkspaceSettingsMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [saveWorkspaceSettingsMutation, { data, loading, error }] = usesaveWorkspaceSettingsMutation({
 *   variables: {
 *   },
 * });
 */
export function usesaveWorkspaceSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>(saveWorkspaceSettingsDocument, baseOptions);
      }
export type saveWorkspaceSettingsMutationHookResult = ReturnType<typeof usesaveWorkspaceSettingsMutation>;
export type saveWorkspaceSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IsaveWorkspaceSettingsMutation>;
export type saveWorkspaceSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>;
export const DefaultPreferencesDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"DefaultPreferences"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"defaultPreferences"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"preferences"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"type"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"data"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"type"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"default"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enum"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enumDescriptions"},"arguments":[],"directives":[]}]}}]}}]}}]}}]};

/**
 * __useDefaultPreferencesQuery__
 *
 * To run a query within a React component, call `useDefaultPreferencesQuery` and pass it any options that fit your needs.
 * When your component renders, `useDefaultPreferencesQuery` returns an object from Apollo Client that contains loading, error, and data properties 
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useDefaultPreferencesQuery({
 *   variables: {
 *   },
 * });
 */
export function useDefaultPreferencesQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>(DefaultPreferencesDocument, baseOptions);
      }
export function useDefaultPreferencesLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>(DefaultPreferencesDocument, baseOptions);
        }
export type DefaultPreferencesQueryHookResult = ReturnType<typeof useDefaultPreferencesQuery>;
export type DefaultPreferencesLazyQueryHookResult = ReturnType<typeof useDefaultPreferencesLazyQuery>;
export type DefaultPreferencesQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>;
export const FullConfigurationDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"FullConfiguration"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"viewerSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"final"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"subjects"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"UserSettings"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsURL"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"latestSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contents"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"createdAt"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settingsCascade"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"finalConfiguration"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"terminal"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TerminalConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"search"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"SearchConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"languages"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LanguagesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"maxChannelHistory"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"files"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FilesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"git"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"GitConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"workspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"WorkspaceConfiguration"},"directives":[]}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FolderSettings"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsURL"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"latestSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contents"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"createdAt"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settingsCascade"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"finalConfiguration"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"terminal"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TerminalConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"search"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"SearchConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"languages"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LanguagesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"maxChannelHistory"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"files"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FilesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"git"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"GitConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"workspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"WorkspaceConfiguration"},"directives":[]}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"GlobalSettings"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsURL"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"latestSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contents"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"createdAt"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settingsCascade"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"finalConfiguration"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"terminal"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TerminalConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"search"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"SearchConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"languages"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LanguagesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"maxChannelHistory"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"files"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FilesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"git"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"GitConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"workspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"WorkspaceConfiguration"},"directives":[]}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"WorkspaceSettings"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsURL"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"latestSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contents"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"createdAt"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settingsCascade"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"finalConfiguration"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"terminal"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TerminalConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"search"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"SearchConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"languages"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LanguagesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"maxChannelHistory"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"files"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FilesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"git"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"GitConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"workspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"WorkspaceConfiguration"},"directives":[]}]}}]}}]}}]}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"TerminalConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Terminal"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"integrated"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"setLocaleVariables"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"shell"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"osx"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"linux"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"windows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"container"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"shellArgs"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"container"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"windows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"osx"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"linux"},"arguments":[],"directives":[]}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"SearchConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Search"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"location"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"smartCase"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useRipgrep"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useIgnoreFiles"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"followSymlinks"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"globalFindClipboard"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"quickOpen"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"includeSymbols"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"exclude"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"LanguagesConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Languages"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"go"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"css"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"html"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"json"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"yaml"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"typescript"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"javascript"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"FilesConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Files"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"eol"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hotExit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"encoding"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoSave"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoSaveDelay"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultLanguage"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoGuessEncoding"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"insertFinalNewline"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"trimTrailingWhitespace"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useExperimentalFileWatcher"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"watcherExclude"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"exclude"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"GitConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Git"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"path"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autofetch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"countBadge"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autorefresh"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"confirmSync"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"checkoutType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inputValidation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"detectSubmodules"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableSmartCommit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreLimitWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreLegacyWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableCommitSigning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultCloneDirectory"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoRepositoryDetection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreMissingGitWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showInlineOpenFileAction"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"promptToSaveFilesBeforeCommit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"decorations"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"WorkspaceConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"WorkspacePreferenceWorkbench"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"colorTheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableExperiments"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fontAliasing"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"iconTheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"startupEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"view"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"alwaysShowHeaderActions"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"tips"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"horizontalScrolling"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"indent"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"renderIndentGuides"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"statusBar"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"visible"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableNaturalLanguageSearch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openDefaultKeybindings"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsSearchTocBehavior"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useSplitJSON"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"quickOpen"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"closeOnFocusLost"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preserveInput"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"panel"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"defaultLocation"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"list"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"automaticKeyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"horizontalScrolling"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"keyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"multiSelectModifier"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openMode"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"experimental"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editorAssociations"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"centeredLayoutAutoResize"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"closeEmptyGroups"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"closeOnFileDelete"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enablePreview"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enablePreviewFromQuickOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"focusRecentEditorAfterClose"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"highlightModifiedTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"labelFormat"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openPositioning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openSideBySideDirection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"restoreViewState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"revealIfOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showIcons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"splitSizing"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tabCloseButton"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tabSizing"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"commandPalette"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"history"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preserveInput"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"activityBar"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"visible"},"arguments":[],"directives":[]}]}}]}}]};

/**
 * __useFullConfigurationQuery__
 *
 * To run a query within a React component, call `useFullConfigurationQuery` and pass it any options that fit your needs.
 * When your component renders, `useFullConfigurationQuery` returns an object from Apollo Client that contains loading, error, and data properties 
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useFullConfigurationQuery({
 *   variables: {
 *   },
 * });
 */
export function useFullConfigurationQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>(FullConfigurationDocument, baseOptions);
      }
export function useFullConfigurationLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>(FullConfigurationDocument, baseOptions);
        }
export type FullConfigurationQueryHookResult = ReturnType<typeof useFullConfigurationQuery>;
export type FullConfigurationLazyQueryHookResult = ReturnType<typeof useFullConfigurationLazyQuery>;
export type FullConfigurationQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>;
export const WorkspacesDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"Workspaces"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"workspaces"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"uri"},"arguments":[],"directives":[]}]}}]}}]};

/**
 * __useWorkspacesQuery__
 *
 * To run a query within a React component, call `useWorkspacesQuery` and pass it any options that fit your needs.
 * When your component renders, `useWorkspacesQuery` returns an object from Apollo Client that contains loading, error, and data properties 
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useWorkspacesQuery({
 *   variables: {
 *   },
 * });
 */
export function useWorkspacesQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>(WorkspacesDocument, baseOptions);
      }
export function useWorkspacesLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>(WorkspacesDocument, baseOptions);
        }
export type WorkspacesQueryHookResult = ReturnType<typeof useWorkspacesQuery>;
export type WorkspacesLazyQueryHookResult = ReturnType<typeof useWorkspacesLazyQuery>;
export type WorkspacesQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>;
export const JsonEditingWriteDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"JsonEditingWrite"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"resource"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"URI"}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"value"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"IJSONValue_input"}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"save"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Boolean"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"jsonWrite"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"resource"},"value":{"kind":"Variable","name":{"kind":"Name","value":"resource"}}},{"kind":"Argument","name":{"kind":"Name","value":"value"},"value":{"kind":"Variable","name":{"kind":"Name","value":"value"}}},{"kind":"Argument","name":{"kind":"Name","value":"save"},"value":{"kind":"Variable","name":{"kind":"Name","value":"save"}}}],"directives":[]}]}}]};

/**
 * __useJsonEditingWriteMutation__
 *
 * To run a mutation, you first call `useJsonEditingWriteMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useJsonEditingWriteMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [jsonEditingWriteMutation, { data, loading, error }] = useJsonEditingWriteMutation({
 *   variables: {
 *      resource: // value for 'resource'
 *      value: // value for 'value'
 *      save: // value for 'save'
 *   },
 * });
 */
export function useJsonEditingWriteMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>(JsonEditingWriteDocument, baseOptions);
      }
export type JsonEditingWriteMutationHookResult = ReturnType<typeof useJsonEditingWriteMutation>;
export type JsonEditingWriteMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IJsonEditingWriteMutation>;
export type JsonEditingWriteMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>;
export const OpenEditorFileDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"OpenEditorFile"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"content"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"OpenEditor_Input"}}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"options"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"EditorOpenOptions_Input"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"openFile"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"content"},"value":{"kind":"Variable","name":{"kind":"Name","value":"content"}}},{"kind":"Argument","name":{"kind":"Name","value":"options"},"value":{"kind":"Variable","name":{"kind":"Name","value":"options"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};

/**
 * __useOpenEditorFileMutation__
 *
 * To run a mutation, you first call `useOpenEditorFileMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useOpenEditorFileMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [openEditorFileMutation, { data, loading, error }] = useOpenEditorFileMutation({
 *   variables: {
 *      content: // value for 'content'
 *      options: // value for 'options'
 *   },
 * });
 */
export function useOpenEditorFileMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>(OpenEditorFileDocument, baseOptions);
      }
export type OpenEditorFileMutationHookResult = ReturnType<typeof useOpenEditorFileMutation>;
export type OpenEditorFileMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOpenEditorFileMutation>;
export type OpenEditorFileMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>;
export const FinalConfiguration_WSDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"FinalConfiguration_WS"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"viewerSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"finalConfiguration"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FinalConfiguration"},"directives":[]}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"FinalConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Configuration"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"terminal"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TerminalConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"search"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"SearchConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"languages"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LanguagesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"maxChannelHistory"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"files"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FilesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"git"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"GitConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"workspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"WorkspaceConfiguration"},"directives":[]}]}}]}}]};

/**
 * __useFinalConfiguration_WSQuery__
 *
 * To run a query within a React component, call `useFinalConfiguration_WSQuery` and pass it any options that fit your needs.
 * When your component renders, `useFinalConfiguration_WSQuery` returns an object from Apollo Client that contains loading, error, and data properties 
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useFinalConfiguration_WSQuery({
 *   variables: {
 *   },
 * });
 */
export function useFinalConfiguration_WSQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>(FinalConfiguration_WSDocument, baseOptions);
      }
export function useFinalConfiguration_WSLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>(FinalConfiguration_WSDocument, baseOptions);
        }
export type FinalConfiguration_WSQueryHookResult = ReturnType<typeof useFinalConfiguration_WSQuery>;
export type FinalConfiguration_WSLazyQueryHookResult = ReturnType<typeof useFinalConfiguration_WSLazyQuery>;
export type FinalConfiguration_WSQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>;
export const GetContextDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"GetContext"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"getContextData"},"arguments":[],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"AllContext"},"directives":[]}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"AllContext"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Context"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"originalResourceScheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"view"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"viewItem"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"gitOpenRepositoryCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isInDiffEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isInDiffRightEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceScheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceFilename"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceLangId"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resource"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceExtName"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceSet"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isFileSystemResource"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inputFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"suggestWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"suggestWidgetMultipleSuggestions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"suggestionMakesTextEdit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"acceptSuggestionOnEnter"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasOtherSuggestions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"groupFocusedInOpenEditors"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"dirtyEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceSelectedForCompare"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fileCopied"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breadcrumbsPossible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breadcrumbsVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breadcrumbsActive"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canNavigateBack"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canNavigateForward"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canNavigateToLastEditLocation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"dirtyDiffVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"cancellableOperation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"parameterHintsVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"parameterHintsMultipleSignatures"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"markdownPreviewFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isMac"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isLinux"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isWindows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"remoteAuthority"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"remoteConnectionState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasMacNativeTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"supportsWorkspaces"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isDevelopment"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"workbenchState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"workspaceFolderCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"remoteFileDialogVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isFullscreen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"atEndOfWord"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"scmRepository"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"scmProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"scmResourceGroup"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inDiffEditorKey"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isDominatedByLongLines"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isWordWrapMinified"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"commentThread"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"commentThreadisEmpty"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"commentIsEmpty"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"commentEditorFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"interfaceOverviewVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inReferenceSearchEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"referenceSearchVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listSupportsMultiSelect"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listHasSelectionOrFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listDoubleSelection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listMultiSelection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listSupportsKeyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"WorkbenchListAutomaticKeyboardNavigationKey"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"accessibilityHelpWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inQuickOpenKey"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"supportedCodeAction"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasSymbols"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasSnippetCompletions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"messageVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasCallHierarchyProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"callHierarchyVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchViewletVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchViewletFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchInputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"replaceInputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"patternIncludesInputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"patternExcludesInputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"replaceActive"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasSearchResult"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"firstMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fileMatchOrMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fileMatchOrFolderMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fileMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"folderMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"matchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inRecentFilesPicker"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inWindowsPicker"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"findWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"findInputFocussed"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"replaceInputFocussed"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorTextFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"textInputFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorReadonly"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasSelection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasMultipleSelections"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorTabMoveFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isInEmbeddedEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canUndo"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canRedo"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorLangId"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasCompletionItemProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasCodeActionsProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDefinitionProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDeclarationProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasImplementationProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasTypeDefinitionProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasHoverProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHadDocumentHighlightProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDocumentSymbolProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasReferenceProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasRenameProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasSignatureHelpProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDocumentFormattingProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDocumentSelectionFormattingProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasMultipleDocumentSelectionFormattingProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activeEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorIsOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorPinned"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"groupActiveEditorDirty"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"groupEditorsCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"textCompareEditorVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"textCompareEditorActive"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activeEditorGroupEmpty"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"multipleEditorGroups"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inZenMode"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inCenteredLayout"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"splitEditorsVertically"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"sideBarVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"sideBarFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activeViewlet"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activePanel"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"panelFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"panelPosition"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"debugType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"debugConfigurationType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"debugState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inDebugMode"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inDebugRepl"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breakpointWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"watchExpressionsFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"variablesFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"expressionSelected"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breakpointSelected"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"callStackItemType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"loadedScriptsSupported"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"loadedScriptsItemType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"focusedSessionIsAttach"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"stepBackSupported"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"restartFrameSupported"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inSettingsEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inSettingsJSONEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inSettingsSearch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsTocRowFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inKeybindings"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inKeybindingsSearch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"keybindingFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerViewletVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceIsFolder"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceReadonly"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceIsRoot"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceCut"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceMoveableToTrash"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"filesExplorerFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openEditorsVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openEditorsFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerViewletFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalIsOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalTextSelected"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalFindWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalFindWidgetInputFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalFindWidgetFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"webviewFindWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"taskRunning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"referenceSearchTreeFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"interactivePlaygroundFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"outlineFiltered"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"outlineFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"problemsViewFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"problemFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"problemsFilterFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"relatedInformationFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inOutput"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activeLogOutput"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"multiCursorModifier"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"saveConflictResolutionContext"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"markersNavigationVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasWordHighlights"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"profileSessionState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"extensionHostProfileRecorded"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"historyNavigationEnabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"historyNavigationWidget"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"nonEmptyWorkspace"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultExtensionViews"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchMarketplaceExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchInstalledExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchOutdatedExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchEnabledExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchDisabledExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasInstalledExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchBuiltInExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"recommendedExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultRecommendedExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"workspaceRecommendations"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"workspaceFolderRecommendations"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"addToWorkspaceRecommendations"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"addToWorkspaceFolderRecommendations"},"arguments":[],"directives":[]}]}}]};

/**
 * __useGetContextQuery__
 *
 * To run a query within a React component, call `useGetContextQuery` and pass it any options that fit your needs.
 * When your component renders, `useGetContextQuery` returns an object from Apollo Client that contains loading, error, and data properties 
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetContextQuery({
 *   variables: {
 *   },
 * });
 */
export function useGetContextQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>(GetContextDocument, baseOptions);
      }
export function useGetContextLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>(GetContextDocument, baseOptions);
        }
export type GetContextQueryHookResult = ReturnType<typeof useGetContextQuery>;
export type GetContextLazyQueryHookResult = ReturnType<typeof useGetContextLazyQuery>;
export type GetContextQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>;
export const GetViewsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"GetViews"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"containerId"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"getViews"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"containerId"},"value":{"kind":"Variable","name":{"kind":"Name","value":"containerId"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]}]}}]}}]};

/**
 * __useGetViewsQuery__
 *
 * To run a query within a React component, call `useGetViewsQuery` and pass it any options that fit your needs.
 * When your component renders, `useGetViewsQuery` returns an object from Apollo Client that contains loading, error, and data properties 
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetViewsQuery({
 *   variables: {
 *      containerId: // value for 'containerId'
 *   },
 * });
 */
export function useGetViewsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>(GetViewsDocument, baseOptions);
      }
export function useGetViewsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>(GetViewsDocument, baseOptions);
        }
export type GetViewsQueryHookResult = ReturnType<typeof useGetViewsQuery>;
export type GetViewsLazyQueryHookResult = ReturnType<typeof useGetViewsLazyQuery>;
export type GetViewsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>;
export const GetWorkspaceDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"GetWorkspace"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"getWorkspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"folders"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"uri"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"index"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"configuration"},"arguments":[],"directives":[]}]}}]}}]};

/**
 * __useGetWorkspaceQuery__
 *
 * To run a query within a React component, call `useGetWorkspaceQuery` and pass it any options that fit your needs.
 * When your component renders, `useGetWorkspaceQuery` returns an object from Apollo Client that contains loading, error, and data properties 
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetWorkspaceQuery({
 *   variables: {
 *   },
 * });
 */
export function useGetWorkspaceQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>(GetWorkspaceDocument, baseOptions);
      }
export function useGetWorkspaceLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>(GetWorkspaceDocument, baseOptions);
        }
export type GetWorkspaceQueryHookResult = ReturnType<typeof useGetWorkspaceQuery>;
export type GetWorkspaceLazyQueryHookResult = ReturnType<typeof useGetWorkspaceLazyQuery>;
export type GetWorkspaceQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>;